﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SplorrClient
{
    public class GamePatterns:StructTable<string, Pattern>
    {
        public GamePatterns()
        {
            this["solid"] = new Pattern(Pattern.MakeData(0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF),8);
            this["box"] = new Pattern(Pattern.MakeData(0xFF, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0xFF), 8);
            this["character0"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 0, 0, 0, 0), 8);
            this["character1"] = new Pattern(Pattern.MakeData(126, 129, 165, 129, 189, 153, 129, 126), 8);
            this["character2"] = new Pattern(Pattern.MakeData(126, 255, 219, 255, 195, 231, 255, 126), 8);
            this["character3"] = new Pattern(Pattern.MakeData(54, 127, 127, 127, 62, 28, 8, 0), 8);
            this["character4"] = new Pattern(Pattern.MakeData(8, 28, 62, 127, 62, 28, 8, 0), 8);
            this["character5"] = new Pattern(Pattern.MakeData(28, 62, 28, 127, 127, 73, 8, 62), 8);
            this["character6"] = new Pattern(Pattern.MakeData(0, 8, 28, 62, 127, 62, 28, 62), 8);
            this["character7"] = new Pattern(Pattern.MakeData(0, 0, 24, 60, 60, 24, 0, 0), 8);
            this["character8"] = new Pattern(Pattern.MakeData(255, 255, 231, 195, 195, 231, 255, 255), 8);
            this["character9"] = new Pattern(Pattern.MakeData(0, 60, 102, 66, 66, 102, 60, 0), 8);
            this["character10"] = new Pattern(Pattern.MakeData(255, 195, 153, 189, 189, 153, 195, 255), 8);
            this["character11"] = new Pattern(Pattern.MakeData(240, 224, 240, 190, 51, 51, 51, 30), 8);
            this["character12"] = new Pattern(Pattern.MakeData(60, 102, 102, 102, 60, 24, 126, 24), 8);
            this["character13"] = new Pattern(Pattern.MakeData(252, 204, 252, 12, 12, 14, 15, 7), 8);
            this["character14"] = new Pattern(Pattern.MakeData(254, 198, 254, 198, 198, 230, 103, 3), 8);
            this["character15"] = new Pattern(Pattern.MakeData(153, 90, 60, 231, 231, 60, 90, 153), 8);
            this["character16"] = new Pattern(Pattern.MakeData(1, 7, 31, 127, 31, 7, 1, 0), 8);
            this["character17"] = new Pattern(Pattern.MakeData(64, 112, 124, 127, 124, 112, 64, 0), 8);
            this["character18"] = new Pattern(Pattern.MakeData(24, 60, 126, 24, 24, 126, 60, 24), 8);
            this["character19"] = new Pattern(Pattern.MakeData(102, 102, 102, 102, 102, 0, 102, 0), 8);
            this["character20"] = new Pattern(Pattern.MakeData(254, 219, 219, 222, 216, 216, 216, 0), 8);
            this["character21"] = new Pattern(Pattern.MakeData(124, 198, 28, 54, 54, 28, 97, 63), 8);
            this["character22"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 126, 126, 126, 0), 8);
            this["character23"] = new Pattern(Pattern.MakeData(24, 60, 126, 24, 126, 60, 24, 255), 8);
            this["character24"] = new Pattern(Pattern.MakeData(24, 60, 126, 24, 24, 24, 24, 0), 8);
            this["character25"] = new Pattern(Pattern.MakeData(24, 24, 24, 24, 126, 60, 24, 0), 8);
            this["character26"] = new Pattern(Pattern.MakeData(0, 24, 48, 127, 48, 24, 0, 0), 8);
            this["character27"] = new Pattern(Pattern.MakeData(0, 12, 6, 127, 6, 12, 0, 0), 8);
            this["character28"] = new Pattern(Pattern.MakeData(0, 0, 3, 3, 3, 127, 0, 0), 8);
            this["character29"] = new Pattern(Pattern.MakeData(0, 36, 102, 255, 102, 36, 0, 0), 8);
            this["character30"] = new Pattern(Pattern.MakeData(0, 24, 60, 126, 255, 255, 0, 0), 8);
            this["character31"] = new Pattern(Pattern.MakeData(0, 255, 255, 126, 60, 24, 0, 0), 8);
            this["character32"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 0, 0, 0, 0), 8);
            this["character33"] = new Pattern(Pattern.MakeData(24, 60, 60, 24, 24, 0, 24, 0), 8);
            this["character34"] = new Pattern(Pattern.MakeData(54, 54, 54, 0, 0, 0, 0, 0), 8);
            this["character35"] = new Pattern(Pattern.MakeData(54, 54, 127, 54, 127, 54, 54, 0), 8);
            this["character36"] = new Pattern(Pattern.MakeData(24, 126, 3, 62, 96, 63, 24, 0), 8);
            this["character37"] = new Pattern(Pattern.MakeData(0, 99, 51, 24, 12, 102, 99, 0), 8);
            this["character38"] = new Pattern(Pattern.MakeData(28, 54, 28, 110, 59, 51, 110, 0), 8);
            this["character39"] = new Pattern(Pattern.MakeData(12, 12, 6, 0, 0, 0, 0, 0), 8);
            this["character40"] = new Pattern(Pattern.MakeData(24, 12, 6, 6, 6, 12, 24, 0), 8);
            this["character41"] = new Pattern(Pattern.MakeData(6, 12, 24, 24, 24, 12, 6, 0), 8);
            this["character42"] = new Pattern(Pattern.MakeData(0, 102, 60, 255, 60, 102, 0, 0), 8);
            this["character43"] = new Pattern(Pattern.MakeData(0, 24, 24, 126, 24, 24, 0, 0), 8);
            this["character44"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 0, 24, 24, 12), 8);
            this["character45"] = new Pattern(Pattern.MakeData(0, 0, 0, 126, 0, 0, 0, 0), 8);
            this["character46"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 0, 24, 24, 0), 8);
            this["character47"] = new Pattern(Pattern.MakeData(96, 48, 24, 12, 6, 3, 1, 0), 8);
            this["character48"] = new Pattern(Pattern.MakeData(62, 99, 107, 107, 107, 99, 62, 0), 8);
            this["character49"] = new Pattern(Pattern.MakeData(12, 14, 12, 12, 12, 12, 63, 0), 8);
            this["character50"] = new Pattern(Pattern.MakeData(30, 51, 48, 28, 6, 51, 63, 0), 8);
            this["character51"] = new Pattern(Pattern.MakeData(30, 51, 48, 28, 48, 51, 30, 0), 8);
            this["character52"] = new Pattern(Pattern.MakeData(56, 60, 54, 51, 127, 48, 120, 0), 8);
            this["character53"] = new Pattern(Pattern.MakeData(63, 3, 31, 48, 48, 51, 30, 0), 8);
            this["character54"] = new Pattern(Pattern.MakeData(28, 6, 3, 31, 51, 51, 30, 0), 8);
            this["character55"] = new Pattern(Pattern.MakeData(63, 51, 48, 24, 12, 12, 12, 0), 8);
            this["character56"] = new Pattern(Pattern.MakeData(30, 51, 51, 30, 51, 51, 30, 0), 8);
            this["character57"] = new Pattern(Pattern.MakeData(30, 51, 51, 62, 48, 24, 14, 0), 8);
            this["character58"] = new Pattern(Pattern.MakeData(0, 24, 24, 0, 0, 24, 24, 0), 8);
            this["character59"] = new Pattern(Pattern.MakeData(0, 24, 24, 0, 0, 24, 24, 12), 8);
            this["character60"] = new Pattern(Pattern.MakeData(24, 12, 6, 3, 6, 12, 24, 0), 8);
            this["character61"] = new Pattern(Pattern.MakeData(0, 0, 126, 0, 126, 0, 0, 0), 8);
            this["character62"] = new Pattern(Pattern.MakeData(6, 12, 24, 48, 24, 12, 6, 0), 8);
            this["character63"] = new Pattern(Pattern.MakeData(60, 102, 48, 24, 24, 0, 24, 0), 8);
            this["character64"] = new Pattern(Pattern.MakeData(62, 99, 123, 123, 59, 3, 62, 0), 8);
            this["character65"] = new Pattern(Pattern.MakeData(12, 30, 51, 51, 63, 51, 51, 0), 8);
            this["character66"] = new Pattern(Pattern.MakeData(63, 102, 102, 62, 102, 102, 63, 0), 8);
            this["character67"] = new Pattern(Pattern.MakeData(60, 102, 3, 3, 3, 102, 60, 0), 8);
            this["character68"] = new Pattern(Pattern.MakeData(31, 54, 102, 102, 102, 54, 31, 0), 8);
            this["character69"] = new Pattern(Pattern.MakeData(127, 70, 22, 30, 22, 70, 127, 0), 8);
            this["character70"] = new Pattern(Pattern.MakeData(127, 70, 22, 30, 22, 6, 15, 0), 8);
            this["character71"] = new Pattern(Pattern.MakeData(60, 102, 3, 3, 115, 102, 92, 0), 8);
            this["character72"] = new Pattern(Pattern.MakeData(51, 51, 51, 63, 51, 51, 51, 0), 8);
            this["character73"] = new Pattern(Pattern.MakeData(30, 12, 12, 12, 12, 12, 30, 0), 8);
            this["character74"] = new Pattern(Pattern.MakeData(120, 48, 48, 48, 51, 51, 30, 0), 8);
            this["character75"] = new Pattern(Pattern.MakeData(103, 102, 54, 30, 54, 102, 103, 0), 8);
            this["character76"] = new Pattern(Pattern.MakeData(15, 6, 6, 6, 70, 102, 127, 0), 8);
            this["character77"] = new Pattern(Pattern.MakeData(99, 119, 127, 127, 107, 99, 99, 0), 8);
            this["character78"] = new Pattern(Pattern.MakeData(99, 103, 111, 123, 115, 99, 99, 0), 8);
            this["character79"] = new Pattern(Pattern.MakeData(28, 54, 99, 99, 99, 54, 28, 0), 8);
            this["character80"] = new Pattern(Pattern.MakeData(63, 102, 102, 62, 6, 6, 15, 0), 8);
            this["character81"] = new Pattern(Pattern.MakeData(62, 99, 99, 99, 107, 62, 112, 0), 8);
            this["character82"] = new Pattern(Pattern.MakeData(63, 102, 102, 62, 54, 102, 103, 0), 8);
            this["character83"] = new Pattern(Pattern.MakeData(62, 99, 7, 30, 112, 99, 62, 0), 8);
            this["character84"] = new Pattern(Pattern.MakeData(63, 45, 12, 12, 12, 12, 30, 0), 8);
            this["character85"] = new Pattern(Pattern.MakeData(51, 51, 51, 51, 51, 51, 63, 0), 8);
            this["character86"] = new Pattern(Pattern.MakeData(51, 51, 51, 51, 51, 30, 12, 0), 8);
            this["character87"] = new Pattern(Pattern.MakeData(99, 99, 99, 99, 107, 127, 54, 0), 8);
            this["character88"] = new Pattern(Pattern.MakeData(99, 99, 54, 28, 54, 99, 99, 0), 8);
            this["character89"] = new Pattern(Pattern.MakeData(51, 51, 51, 30, 12, 12, 30, 0), 8);
            this["character90"] = new Pattern(Pattern.MakeData(127, 99, 49, 24, 76, 102, 127, 0), 8);
            this["character91"] = new Pattern(Pattern.MakeData(30, 6, 6, 6, 6, 6, 30, 0), 8);
            this["character92"] = new Pattern(Pattern.MakeData(3, 6, 12, 24, 48, 96, 64, 0), 8);
            this["character93"] = new Pattern(Pattern.MakeData(30, 24, 24, 24, 24, 24, 30, 0), 8);
            this["character94"] = new Pattern(Pattern.MakeData(8, 28, 54, 99, 0, 0, 0, 0), 8);
            this["character95"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 0, 0, 0, 255), 8);
            this["character96"] = new Pattern(Pattern.MakeData(12, 12, 24, 0, 0, 0, 0, 0), 8);
            this["character97"] = new Pattern(Pattern.MakeData(0, 0, 30, 48, 62, 51, 110, 0), 8);
            this["character98"] = new Pattern(Pattern.MakeData(7, 6, 6, 62, 102, 102, 59, 0), 8);
            this["character99"] = new Pattern(Pattern.MakeData(0, 0, 30, 51, 3, 51, 30, 0), 8);
            this["character100"] = new Pattern(Pattern.MakeData(56, 48, 48, 62, 51, 51, 110, 0), 8);
            this["character101"] = new Pattern(Pattern.MakeData(0, 0, 30, 51, 63, 3, 30, 0), 8);
            this["character102"] = new Pattern(Pattern.MakeData(28, 54, 38, 15, 6, 6, 15, 0), 8);
            this["character103"] = new Pattern(Pattern.MakeData(0, 0, 110, 51, 51, 62, 48, 31), 8);
            this["character104"] = new Pattern(Pattern.MakeData(7, 6, 54, 110, 102, 102, 103, 0), 8);
            this["character105"] = new Pattern(Pattern.MakeData(12, 0, 14, 12, 12, 12, 30, 0), 8);
            this["character106"] = new Pattern(Pattern.MakeData(48, 0, 56, 48, 48, 51, 51, 30), 8);
            this["character107"] = new Pattern(Pattern.MakeData(7, 6, 102, 54, 30, 54, 103, 0), 8);
            this["character108"] = new Pattern(Pattern.MakeData(14, 12, 12, 12, 12, 12, 30, 0), 8);
            this["character109"] = new Pattern(Pattern.MakeData(0, 0, 51, 127, 127, 107, 107, 0), 8);
            this["character110"] = new Pattern(Pattern.MakeData(0, 0, 29, 51, 51, 51, 51, 0), 8);
            this["character111"] = new Pattern(Pattern.MakeData(0, 0, 30, 51, 51, 51, 30, 0), 8);
            this["character112"] = new Pattern(Pattern.MakeData(0, 0, 59, 102, 102, 62, 6, 15), 8);
            this["character113"] = new Pattern(Pattern.MakeData(0, 0, 110, 51, 51, 62, 48, 120), 8);
            this["character114"] = new Pattern(Pattern.MakeData(0, 0, 59, 110, 70, 6, 15, 0), 8);
            this["character115"] = new Pattern(Pattern.MakeData(0, 0, 62, 3, 14, 56, 31, 0), 8);
            this["character116"] = new Pattern(Pattern.MakeData(8, 12, 63, 12, 12, 44, 24, 0), 8);
            this["character117"] = new Pattern(Pattern.MakeData(0, 0, 51, 51, 51, 51, 110, 0), 8);
            this["character118"] = new Pattern(Pattern.MakeData(0, 0, 51, 51, 51, 30, 12, 0), 8);
            this["character119"] = new Pattern(Pattern.MakeData(0, 0, 99, 99, 107, 127, 54, 0), 8);
            this["character120"] = new Pattern(Pattern.MakeData(0, 0, 99, 54, 28, 54, 99, 0), 8);
            this["character121"] = new Pattern(Pattern.MakeData(0, 0, 51, 51, 51, 62, 48, 31), 8);
            this["character122"] = new Pattern(Pattern.MakeData(0, 0, 63, 25, 12, 38, 63, 0), 8);
            this["character123"] = new Pattern(Pattern.MakeData(56, 12, 12, 7, 12, 12, 56, 0), 8);
            this["character124"] = new Pattern(Pattern.MakeData(24, 24, 24, 0, 24, 24, 24, 0), 8);
            this["character125"] = new Pattern(Pattern.MakeData(7, 12, 12, 56, 12, 12, 7, 0), 8);
            this["character126"] = new Pattern(Pattern.MakeData(110, 59, 0, 0, 0, 0, 0, 0), 8);
            this["character127"] = new Pattern(Pattern.MakeData(0, 8, 28, 54, 99, 99, 127, 0), 8);
            this["character128"] = new Pattern(Pattern.MakeData(62, 99, 3, 99, 62, 48, 96, 62), 8);
            this["character129"] = new Pattern(Pattern.MakeData(0, 51, 0, 51, 51, 51, 110, 0), 8);
            this["character130"] = new Pattern(Pattern.MakeData(56, 0, 30, 51, 63, 3, 30, 0), 8);
            this["character131"] = new Pattern(Pattern.MakeData(126, 129, 60, 96, 124, 102, 220, 0), 8);
            this["character132"] = new Pattern(Pattern.MakeData(51, 0, 30, 48, 62, 51, 110, 0), 8);
            this["character133"] = new Pattern(Pattern.MakeData(7, 0, 30, 48, 62, 51, 110, 0), 8);
            this["character134"] = new Pattern(Pattern.MakeData(12, 12, 30, 48, 62, 51, 110, 0), 8);
            this["character135"] = new Pattern(Pattern.MakeData(0, 0, 62, 99, 3, 30, 48, 28), 8);
            this["character136"] = new Pattern(Pattern.MakeData(126, 129, 60, 102, 126, 6, 60, 0), 8);
            this["character137"] = new Pattern(Pattern.MakeData(51, 0, 30, 51, 63, 3, 30, 0), 8);
            this["character138"] = new Pattern(Pattern.MakeData(7, 0, 30, 51, 63, 3, 30, 0), 8);
            this["character139"] = new Pattern(Pattern.MakeData(51, 0, 14, 12, 12, 12, 30, 0), 8);
            this["character140"] = new Pattern(Pattern.MakeData(62, 65, 28, 24, 24, 24, 60, 0), 8);
            this["character141"] = new Pattern(Pattern.MakeData(7, 0, 14, 12, 12, 12, 30, 0), 8);
            this["character142"] = new Pattern(Pattern.MakeData(99, 8, 62, 99, 127, 99, 99, 0), 8);
            this["character143"] = new Pattern(Pattern.MakeData(12, 12, 0, 30, 51, 63, 51, 0), 8);
            this["character144"] = new Pattern(Pattern.MakeData(56, 0, 63, 6, 30, 6, 63, 0), 8);
            this["character145"] = new Pattern(Pattern.MakeData(0, 0, 254, 48, 254, 51, 254, 0), 8);
            this["character146"] = new Pattern(Pattern.MakeData(124, 54, 51, 127, 51, 51, 115, 0), 8);
            this["character147"] = new Pattern(Pattern.MakeData(30, 33, 0, 30, 51, 51, 30, 0), 8);
            this["character148"] = new Pattern(Pattern.MakeData(0, 51, 0, 30, 51, 51, 30, 0), 8);
            this["character149"] = new Pattern(Pattern.MakeData(0, 7, 0, 30, 51, 51, 30, 0), 8);
            this["character150"] = new Pattern(Pattern.MakeData(30, 33, 0, 51, 51, 51, 110, 0), 8);
            this["character151"] = new Pattern(Pattern.MakeData(0, 7, 0, 51, 51, 51, 110, 0), 8);
            this["character152"] = new Pattern(Pattern.MakeData(0, 51, 0, 51, 51, 62, 48, 31), 8);
            this["character153"] = new Pattern(Pattern.MakeData(195, 24, 60, 102, 102, 60, 24, 0), 8);
            this["character154"] = new Pattern(Pattern.MakeData(51, 0, 51, 51, 51, 51, 30, 0), 8);
            this["character155"] = new Pattern(Pattern.MakeData(24, 24, 126, 3, 3, 126, 24, 24), 8);
            this["character156"] = new Pattern(Pattern.MakeData(28, 54, 38, 15, 6, 103, 63, 0), 8);
            this["character157"] = new Pattern(Pattern.MakeData(51, 51, 30, 12, 63, 12, 63, 12), 8);
            this["character158"] = new Pattern(Pattern.MakeData(31, 51, 51, 95, 99, 243, 99, 195), 8);
            this["character159"] = new Pattern(Pattern.MakeData(112, 216, 24, 60, 24, 24, 27, 14), 8);
            this["character160"] = new Pattern(Pattern.MakeData(56, 0, 30, 48, 62, 51, 110, 0), 8);
            this["character161"] = new Pattern(Pattern.MakeData(28, 0, 14, 12, 12, 12, 30, 0), 8);
            this["character162"] = new Pattern(Pattern.MakeData(0, 56, 0, 30, 51, 51, 30, 0), 8);
            this["character163"] = new Pattern(Pattern.MakeData(0, 56, 0, 51, 51, 51, 110, 0), 8);
            this["character164"] = new Pattern(Pattern.MakeData(0, 31, 0, 29, 51, 51, 51, 0), 8);
            this["character165"] = new Pattern(Pattern.MakeData(63, 0, 51, 55, 63, 59, 51, 0), 8);
            this["character166"] = new Pattern(Pattern.MakeData(60, 54, 54, 124, 0, 126, 0, 0), 8);
            this["character167"] = new Pattern(Pattern.MakeData(28, 54, 54, 28, 0, 62, 0, 0), 8);
            this["character168"] = new Pattern(Pattern.MakeData(24, 0, 24, 24, 12, 102, 60, 0), 8);
            this["character169"] = new Pattern(Pattern.MakeData(0, 0, 0, 63, 3, 3, 0, 0), 8);
            this["character170"] = new Pattern(Pattern.MakeData(0, 0, 0, 63, 48, 48, 0, 0), 8);
            this["character171"] = new Pattern(Pattern.MakeData(99, 51, 27, 108, 214, 67, 33, 240), 8);
            this["character172"] = new Pattern(Pattern.MakeData(195, 99, 51, 219, 236, 182, 243, 192), 8);
            this["character173"] = new Pattern(Pattern.MakeData(24, 0, 24, 24, 60, 60, 24, 0), 8);
            this["character174"] = new Pattern(Pattern.MakeData(0, 204, 102, 51, 102, 204, 0, 0), 8);
            this["character175"] = new Pattern(Pattern.MakeData(0, 51, 102, 204, 102, 51, 0, 0), 8);
            this["character176"] = new Pattern(Pattern.MakeData(68, 17, 68, 17, 68, 17, 68, 17), 8);
            this["character177"] = new Pattern(Pattern.MakeData(170, 85, 170, 85, 170, 85, 170, 85), 8);
            this["character178"] = new Pattern(Pattern.MakeData(187, 238, 187, 238, 187, 238, 187, 238), 8);
            this["character179"] = new Pattern(Pattern.MakeData(24, 24, 24, 24, 24, 24, 24, 24), 8);
            this["character180"] = new Pattern(Pattern.MakeData(24, 24, 24, 24, 31, 24, 24, 24), 8);
            this["character181"] = new Pattern(Pattern.MakeData(24, 24, 31, 24, 31, 24, 24, 24), 8);
            this["character182"] = new Pattern(Pattern.MakeData(108, 108, 108, 108, 111, 108, 108, 108), 8);
            this["character183"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 127, 108, 108, 108), 8);
            this["character184"] = new Pattern(Pattern.MakeData(0, 0, 31, 24, 31, 24, 24, 24), 8);
            this["character185"] = new Pattern(Pattern.MakeData(108, 108, 111, 96, 111, 108, 108, 108), 8);
            this["character186"] = new Pattern(Pattern.MakeData(108, 108, 108, 108, 108, 108, 108, 108), 8);
            this["character187"] = new Pattern(Pattern.MakeData(0, 0, 127, 96, 111, 108, 108, 108), 8);
            this["character188"] = new Pattern(Pattern.MakeData(108, 108, 111, 96, 127, 0, 0, 0), 8);
            this["character189"] = new Pattern(Pattern.MakeData(108, 108, 108, 108, 127, 0, 0, 0), 8);
            this["character190"] = new Pattern(Pattern.MakeData(24, 24, 31, 24, 31, 0, 0, 0), 8);
            this["character191"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 31, 24, 24, 24), 8);
            this["character192"] = new Pattern(Pattern.MakeData(24, 24, 24, 24, 248, 0, 0, 0), 8);
            this["character193"] = new Pattern(Pattern.MakeData(24, 24, 24, 24, 255, 0, 0, 0), 8);
            this["character194"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 255, 24, 24, 24), 8);
            this["character195"] = new Pattern(Pattern.MakeData(24, 24, 24, 24, 248, 24, 24, 24), 8);
            this["character196"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 255, 0, 0, 0), 8);
            this["character197"] = new Pattern(Pattern.MakeData(24, 24, 24, 24, 255, 24, 24, 24), 8);
            this["character198"] = new Pattern(Pattern.MakeData(24, 24, 248, 24, 248, 24, 24, 24), 8);
            this["character199"] = new Pattern(Pattern.MakeData(108, 108, 108, 108, 236, 108, 108, 108), 8);
            this["character200"] = new Pattern(Pattern.MakeData(108, 108, 236, 12, 252, 0, 0, 0), 8);
            this["character201"] = new Pattern(Pattern.MakeData(0, 0, 252, 12, 236, 108, 108, 108), 8);
            this["character202"] = new Pattern(Pattern.MakeData(108, 108, 239, 0, 255, 0, 0, 0), 8);
            this["character203"] = new Pattern(Pattern.MakeData(0, 0, 255, 0, 239, 108, 108, 108), 8);
            this["character204"] = new Pattern(Pattern.MakeData(108, 108, 236, 12, 236, 108, 108, 108), 8);
            this["character205"] = new Pattern(Pattern.MakeData(0, 0, 255, 0, 255, 0, 0, 0), 8);
            this["character206"] = new Pattern(Pattern.MakeData(108, 108, 239, 0, 239, 108, 108, 108), 8);
            this["character207"] = new Pattern(Pattern.MakeData(24, 24, 255, 0, 255, 0, 0, 0), 8);
            this["character208"] = new Pattern(Pattern.MakeData(108, 108, 108, 108, 255, 0, 0, 0), 8);
            this["character209"] = new Pattern(Pattern.MakeData(0, 0, 255, 0, 255, 24, 24, 24), 8);
            this["character210"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 255, 108, 108, 108), 8);
            this["character211"] = new Pattern(Pattern.MakeData(108, 108, 108, 108, 252, 0, 0, 0), 8);
            this["character212"] = new Pattern(Pattern.MakeData(24, 24, 248, 24, 248, 0, 0, 0), 8);
            this["character213"] = new Pattern(Pattern.MakeData(0, 0, 248, 24, 248, 24, 24, 24), 8);
            this["character214"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 252, 108, 108, 108), 8);
            this["character215"] = new Pattern(Pattern.MakeData(108, 108, 108, 108, 255, 108, 108, 108), 8);
            this["character216"] = new Pattern(Pattern.MakeData(24, 24, 255, 24, 255, 24, 24, 24), 8);
            this["character217"] = new Pattern(Pattern.MakeData(24, 24, 24, 24, 31, 0, 0, 0), 8);
            this["character218"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 248, 24, 24, 24), 8);
            this["character219"] = new Pattern(Pattern.MakeData(255, 255, 255, 255, 255, 255, 255, 255), 8);
            this["character220"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 255, 255, 255, 255), 8);
            this["character221"] = new Pattern(Pattern.MakeData(15, 15, 15, 15, 15, 15, 15, 15), 8);
            this["character222"] = new Pattern(Pattern.MakeData(240, 240, 240, 240, 240, 240, 240, 240), 8);
            this["character223"] = new Pattern(Pattern.MakeData(255, 255, 255, 255, 0, 0, 0, 0), 8);
            this["character224"] = new Pattern(Pattern.MakeData(0, 0, 110, 59, 19, 59, 110, 0), 8);
            this["character225"] = new Pattern(Pattern.MakeData(62, 99, 99, 51, 99, 195, 115, 0), 8);
            this["character226"] = new Pattern(Pattern.MakeData(0, 63, 51, 3, 3, 3, 3, 0), 8);
            this["character227"] = new Pattern(Pattern.MakeData(0, 0, 127, 54, 54, 54, 54, 0), 8);
            this["character228"] = new Pattern(Pattern.MakeData(63, 51, 6, 12, 6, 51, 63, 0), 8);
            this["character229"] = new Pattern(Pattern.MakeData(0, 0, 126, 27, 27, 27, 14, 0), 8);
            this["character230"] = new Pattern(Pattern.MakeData(0, 102, 102, 102, 102, 62, 6, 3), 8);
            this["character231"] = new Pattern(Pattern.MakeData(0, 110, 59, 24, 24, 24, 24, 0), 8);
            this["character232"] = new Pattern(Pattern.MakeData(63, 12, 30, 51, 51, 30, 12, 63), 8);
            this["character233"] = new Pattern(Pattern.MakeData(28, 54, 99, 127, 99, 54, 28, 0), 8);
            this["character234"] = new Pattern(Pattern.MakeData(28, 54, 99, 99, 54, 54, 119, 0), 8);
            this["character235"] = new Pattern(Pattern.MakeData(56, 12, 24, 62, 51, 51, 30, 0), 8);
            this["character236"] = new Pattern(Pattern.MakeData(0, 0, 126, 219, 219, 126, 0, 0), 8);
            this["character237"] = new Pattern(Pattern.MakeData(96, 48, 126, 219, 219, 126, 6, 3), 8);
            this["character238"] = new Pattern(Pattern.MakeData(28, 6, 3, 31, 3, 6, 28, 0), 8);
            this["character239"] = new Pattern(Pattern.MakeData(30, 51, 51, 51, 51, 51, 51, 0), 8);
            this["character240"] = new Pattern(Pattern.MakeData(0, 126, 0, 126, 0, 126, 0, 0), 8);
            this["character241"] = new Pattern(Pattern.MakeData(24, 24, 126, 24, 24, 0, 126, 0), 8);
            this["character242"] = new Pattern(Pattern.MakeData(6, 12, 24, 12, 6, 0, 63, 0), 8);
            this["character243"] = new Pattern(Pattern.MakeData(24, 12, 6, 12, 24, 0, 63, 0), 8);
            this["character244"] = new Pattern(Pattern.MakeData(112, 216, 216, 24, 24, 24, 24, 24), 8);
            this["character245"] = new Pattern(Pattern.MakeData(24, 24, 24, 24, 24, 27, 27, 14), 8);
            this["character246"] = new Pattern(Pattern.MakeData(24, 24, 0, 126, 0, 24, 24, 0), 8);
            this["character247"] = new Pattern(Pattern.MakeData(0, 110, 59, 0, 110, 59, 0, 0), 8);
            this["character248"] = new Pattern(Pattern.MakeData(28, 54, 54, 28, 0, 0, 0, 0), 8);
            this["character249"] = new Pattern(Pattern.MakeData(0, 0, 0, 24, 24, 0, 0, 0), 8);
            this["character250"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 24, 0, 0, 0), 8);
            this["character251"] = new Pattern(Pattern.MakeData(240, 48, 48, 48, 55, 54, 60, 56), 8);
            this["character252"] = new Pattern(Pattern.MakeData(26, 54, 54, 54, 54, 0, 0, 0), 8);
            this["character253"] = new Pattern(Pattern.MakeData(14, 25, 12, 6, 31, 0, 0, 0), 8);
            this["character254"] = new Pattern(Pattern.MakeData(0, 0, 60, 60, 60, 60, 0, 0), 8);
            this["character255"] = new Pattern(Pattern.MakeData(0, 0, 0, 0, 0, 0, 0, 0), 8);
            this["maze0"] = new Pattern(Pattern.MakeData("........", "........", "........", "...XX...", "...XX...", "........", "........", "........"), 8);
            this["maze1"] = new Pattern(Pattern.MakeData("...XX...", "...XX...", "...XX...", "...XX...", "...XX...", "........", "........", "........"), 8);
            this["maze2"] = new Pattern(Pattern.MakeData("........", "........", "........", "...XXXXX", "...XXXXX", "........", "........", "........"), 8);
            this["maze3"] = new Pattern(Pattern.MakeData("...XX...", "...XX...", "...XX...", "...XXXXX", "...XXXXX", "........", "........", "........"), 8);
            this["maze4"] = new Pattern(Pattern.MakeData("........", "........", "........", "...XX...", "...XX...", "...XX...", "...XX...", "...XX..."), 8);
            this["maze5"] = new Pattern(Pattern.MakeData("...XX...", "...XX...", "...XX...", "...XX...", "...XX...", "...XX...", "...XX...", "...XX..."), 8);
            this["maze6"] = new Pattern(Pattern.MakeData("........", "........", "........", "...XXXXX", "...XXXXX", "...XX...", "...XX...", "...XX..."), 8);
            this["maze7"] = new Pattern(Pattern.MakeData("...XX...", "...XX...", "...XX...", "...XXXXX", "...XXXXX", "...XX...", "...XX...", "...XX..."), 8);
            this["maze8"] = new Pattern(Pattern.MakeData("........", "........", "........", "XXXXX...", "XXXXX...", "........", "........", "........"), 8);
            this["maze9"] = new Pattern(Pattern.MakeData("...XX...", "...XX...", "...XX...", "XXXXX...", "XXXXX...", "........", "........", "........"), 8);
            this["maze10"] = new Pattern(Pattern.MakeData("........", "........", "........", "XXXXXXXX", "XXXXXXXX", "........", "........", "........"), 8);
            this["maze11"] = new Pattern(Pattern.MakeData("...XX...", "...XX...", "...XX...", "XXXXXXXX", "XXXXXXXX", "........", "........", "........"), 8);
            this["maze12"] = new Pattern(Pattern.MakeData("........", "........", "........", "XXXXX...", "XXXXX...", "...XX...", "...XX...", "...XX..."), 8);
            this["maze13"] = new Pattern(Pattern.MakeData("...XX...", "...XX...", "...XX...", "XXXXX...", "XXXXX...", "...XX...", "...XX...", "...XX..."), 8);
            this["maze14"] = new Pattern(Pattern.MakeData("........", "........", "........", "XXXXXXXX", "XXXXXXXX", "...XX...", "...XX...", "...XX..."), 8);
            this["maze15"] = new Pattern(Pattern.MakeData("...XX...", "...XX...", "...XX...", "XXXXXXXX", "XXXXXXXX", "...XX...", "...XX...", "...XX..."), 8);
            this["empty"] = new Pattern(Pattern.MakeData("........", "........", "........", "........", "........", "........", "........", "........"), 8);
            this["cursor"] = new Pattern(Pattern.MakeData("........", "........", "........", "........", "...X....", "........", "........", "........"), 8);
            this["house"] = new Pattern(Pattern.MakeData("...X....", "..XXX...", ".XXXXX..", "XXXXXXX.", ".XXXXX..", ".XX.XX..", ".XX.XX..", "........"), 8);
            this["door"] = new Pattern(Pattern.MakeData("...XX...", "..XXXX..", ".XXXXXX.", ".XXXXXX.", ".XXXXXX.", ".XXXX.X.", ".XXXXXX.", ".XXXXXX."), 8);
            this["wall"] = new Pattern(Pattern.MakeData("........", ".XXXXXXX", ".XXXXXXX", ".XXXXXXX", "........", "XXXX.XXX", "XXXX.XXX", "XXXX.XXX"), 8);
            this["field"] = new Pattern(Pattern.MakeData("........", ".X...X..", "........", "...X...X", "........", ".X...X..", "........", "...X...X"), 8);
            this["tagon"] = new Pattern(Pattern.MakeData("..XXX...", "..XXX...", "...X....", ".XXXXX..", "X.XXX.X.", "..XXX...", "..X.X...", "..X.X..."), 8);
            this["tree"] = new Pattern(Pattern.MakeData("....X...", "....X...", "...XXX..", "...XXX..", "..XXXXX.", "..XXXXX.", ".XXXXXXX", "....X..."), 8);
            this["bush"] = new Pattern(Pattern.MakeData("........", "..XXXX..", ".XXXX.X.", "XX.XXXXX", "XXXXX.XX", ".XXXXXX.", "...XX...", "...XX..."), 8);
            this["berries"] = new Pattern(Pattern.MakeData("........", "........", ".....X..", "..X.....", ".....X..", "........", "........", "........"), 8);
            this["key"] = new Pattern(Pattern.MakeData("........", "..XXX...", "..X.X...", "..XXX...", "...X....", "..XX....", "..XX....", "........"), 8);
        }
    }
}
